Bug 239110 - Review Request: firewalk - Active reconnaissance network security tool
Summary: Review Request: firewalk - Active reconnaissance network security tool
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-04 21:50 UTC by Sindre Pedersen Bjørdal
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-06 16:03:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gwync: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Sindre Pedersen Bjørdal 2007-05-04 21:50:25 UTC
Spec URL: http://folk.ntnu.no/sindrb/packages/green_nyc/firewalk.spec
SRPM URL: http://folk.ntnu.no/sindrb/packages/green_nyc/firewalk-5.0-1.fc7.src.rpm

Description:
Firewalk is an active reconnaissance network security tool that attempts
to determine what layer 4 protocols a given IP forwarding device will pass.

Comment 1 Gwyn Ciesla 2007-05-29 18:25:37 UTC
Rpmlint clean.
Package/spec meet naming guidelines.
Meets packaging guidelines.
License is OK.
Spec in legible American English.
Source MD5 matches.
Builds on FC6/i386, and in mock.
BuildRequires are OK.
No libraries of any kind.
Not relocatable.
Owns all created directories.
No duplicate files, bad permissions, has a correct defattr.
%clean present and correct.
Code, not content.
No large docs, headers, or -devel packages.
No pkgconfig files.


More to come. . .


Comment 2 Gwyn Ciesla 2007-05-30 11:39:08 UTC
No .desktop file needed.
No ownership conflicts.
Install cleans buildroot.
All UTF-8 filenames.

All MUSTS met.

Approved.

Comment 3 Sindre Pedersen Bjørdal 2007-05-30 14:50:44 UTC
New Package CVS Request
=======================
Package Name: firewalk
Short Description: Active reconnaissance network security tool
Owners: foolish@guezz.net
Branches: EL-4 EL-5 FC-6 F-7

Comment 4 Tom "spot" Callaway 2007-05-31 14:18:21 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.